package ru.micord.ervu.audit.model;

import ru.micord.ervu.audit.constants.AuditConstants;

/**
 * @author Adel Kalimullin
 */
public abstract class AuditEvent {
  protected final String subsystem = AuditConstants.SUBSYSTEM_TYPE;
  protected String esiaOrgId;
  protected String esiaPersonId;
  protected String eventTime;

  public AuditEvent(
      String esiaOrgId, String esiaPersonId, String eventTime) {
    this.esiaOrgId = esiaOrgId;
    this.esiaPersonId = esiaPersonId;
    this.eventTime = eventTime;
  }

  public String getSubsystem() {
    return subsystem;
  }

  public String getEsiaOrgId() {
    return esiaOrgId;
  }

  public void setEsiaOrgId(String esiaOrgId) {
    this.esiaOrgId = esiaOrgId;
  }

  public String getEsiaPersonId() {
    return esiaPersonId;
  }

  public void setEsiaPersonId(String esiaPersonId) {
    this.esiaPersonId = esiaPersonId;
  }

  public String getEventTime() {
    return eventTime;
  }

  public void setEventTime(String eventTime) {
    this.eventTime = eventTime;
  }
}